You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2006-03-30 10:05:42

christophe
Guest
From: pau
Registered: 2005-09-20
Posts: 49
Website

pb MAJ 0.65beta vers 0.65

bonjour,

j'étais en version 0.65 beta (CVS tarball) depuis 1 mois et je viens de mettre à jour en 0.65. Tout le processus s'est correctement déroulé sans erreur. Le problème est que plus personne ne peut se connecter, on obtient le message :

User not found or several users found.
Invalid credentials
Utilisateur non autorisé à se connecter.

Nous utilisons l'authentification via Active Directory. J'ai regardé la base glpi upgradée : tous mes paramètres sont OK dans glpi_config (serveur AD, paramètres LDAP, etc) et dans glpi_users (tous mes utilisateurs sont bien là).

idem pour mon compte superadmin, il me refuse l'accès avec le message :

Utilisateur non autorisé à se connecter.

help.
merci.


Communauté d'Agglomération Pau Pyrénées
--------------------------------------------------------------------------------------------------
OS : Windows 2003 serveur - GLPI : 0.71.2 - OCS Inventory : 4100

Offline

#2 2006-03-30 10:24:11

christophe
Guest
From: pau
Registered: 2005-09-20
Posts: 49
Website

Re: pb MAJ 0.65beta vers 0.65

je me réponds à moi-même : j'ai stupidement pas passé en mettre 0.6 à la place de 0.65 dans le version pour que l'upgrade de base se déclenche...

j'ai donc fait ça et j'obtiens l'erreur :

0.65 alter various fields in device_case Erreur durant la mise à jour de la base de donnéesYou have an error in your SQL syntax near '; ' at line 1

je dois avoir des choses à mettre à jour des ALTER en manuel. Vous pouvez m'aiguiller SVP ?

ne tapez pas ! je sais qu'on ne doit pas utiliser de CVS en prod, mais quand de nouvelles fonctionnalités sont urgentes pour nos besoins et validées comme stable pour nos besoins, on passe ce CVS en prod pour calmer les impatiences !

merci.


Communauté d'Agglomération Pau Pyrénées
--------------------------------------------------------------------------------------------------
OS : Windows 2003 serveur - GLPI : 0.71.2 - OCS Inventory : 4100

Offline

#3 2006-03-30 10:39:49

jm.cierniewski
Guest
From: Nanterre 92
Registered: 2005-11-02
Posts: 1,654

Re: pb MAJ 0.65beta vers 0.65

avez vous essayé de retourné en version cvs  et retenté une maj avec la nouvelle 0.65 ?


Plateforme :
OS : Windows 2003 Sp1 / logiciel de décompactage : Winzip / Navigateurs : Internet Explorer 6sp1 / firefox 1.5
Installation : Package Ocs NG RC3  - XAMPP version 1.5.1
Serveur  : Apache 2.0.55 / Base : 5.0.18-nt / Langage : PHP 5.1.1 / PhpMyAdmin 2.7.0-pl1

Offline

#4 2006-03-30 10:41:40

christophe
Guest
From: pau
Registered: 2005-09-20
Posts: 49
Website

Re: pb MAJ 0.65beta vers 0.65

oui et c'est ce qui me donne le message d'erreur indiqué :

0.65 alter various fields in device_case Erreur durant la mise à jour de la base de donnéesYou have an error in your SQL syntax near '; ' at line 1


Communauté d'Agglomération Pau Pyrénées
--------------------------------------------------------------------------------------------------
OS : Windows 2003 serveur - GLPI : 0.71.2 - OCS Inventory : 4100

Offline

#5 2006-03-30 10:52:04

christophe
Guest
From: pau
Registered: 2005-09-20
Posts: 49
Website

Re: pb MAJ 0.65beta vers 0.65

bon, j'ai trouvé tout seul la solution comme un grand :

la boucle des ALTER à la ligne 3422 du fichier update.php : pour une raison inconnue, ces ALTER échouent via le script mais si je les fait en manuel :

ALTER TABLE `glpi_device_case` CHANGE `designation` `designation` VARCHAR( 255 ) NULL , CHANGE `comment` `comment` TEXT NULL , CHANGE `specif_default` `specif_default` VARCHAR( 250 ) NULL;
ALTER TABLE `glpi_device_case` ADD INDEX ( `designation` );

ça marche. Il faut le faire pour tous ceux là :

$device=array("case","control","drive","gfxcard","hdd","iface","moboard","pci","power","processor","ram","sndcard");

Ensuite je relance l'upgrade et ça fonctionne nickel.

par contre si vous pouvez me dire pourquoi il y ce problème, j'aimerai comprendre !

merci.


Communauté d'Agglomération Pau Pyrénées
--------------------------------------------------------------------------------------------------
OS : Windows 2003 serveur - GLPI : 0.71.2 - OCS Inventory : 4100

Offline

#6 2006-03-30 12:23:35

tarentino
Guest
Registered: 2006-03-29
Posts: 6

Re: pb MAJ 0.65beta vers 0.65

J'ai eu le même problème, cela venait de ma version de mysql (3.23), j'ai fait un upgrade en 4.1 et c'est passé comme une lettre à la poste (sans grève).

Voici le lien vers la discution :

http://glpi.indepnet.org/forum/viewtopic.php?id=2672

Offline

Board footer

Powered by FluxBB